org.eclipse.viatra.dse.objectives

## Class Fitness

- java.lang.Object
- - java.util.AbstractMap<K,V>
  - - java.util.HashMap<java.lang.String,java.lang.Double>
    - - org.eclipse.viatra.dse.objectives.Fitness

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, java.util.Map<java.lang.String,java.lang.Double>

      public class Fitness
      extends java.util.HashMap<java.lang.String,java.lang.Double>

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.util.AbstractMap

      `java.util.AbstractMap.SimpleEntry<K,V>, java.util.AbstractMap.SimpleImmutableEntry<K,V>`

    - ### Nested classes/interfaces inherited from interface java.util.Map

      `java.util.Map.Entry<K,V>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Fitness()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isSatisifiesHardObjectives()`
    `void` | `setSatisifiesHardObjectives(boolean satisifiesHardObjectives)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.util.HashMap

      `clear, clone, compute, computeIfAbsent, computeIfPresent, containsKey, containsValue, entrySet, forEach, get, getOrDefault, isEmpty, keySet, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, replaceAll, size, values`

    - ### Methods inherited from class java.util.AbstractMap

      `equals, hashCode`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Map

      `equals, hashCode`

- - ### Constructor Detail

    - #### Fitness

          public Fitness()

  - ### Method Detail

    - #### isSatisifiesHardObjectives

          public boolean isSatisifiesHardObjectives()

    - #### setSatisifiesHardObjectives

          public void setSatisifiesHardObjectives(boolean satisifiesHardObjectives)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.util.AbstractMap<java.lang.String,java.lang.Double>`